%define module_name Moo-Role-ToJSON
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Module/Build/Tiny.pm) perl(Moo/Role.pm) perl(Test/Pod.pm) perl(Test2/Suite.pm) perl(Throwable.pm) perl(Type/Tiny.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: a Moo role for a TO_JSON method
Group: Development/Perl
License: perl
URL: https://github.com/kwakwaversal/moo-role-tojson

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KW/KWAKWA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Moo::Role::ToJSON manpage is a the Moo::Role manpage which provides a the TO_JSON entry elsewhere in this document method for
your classes. The `TO_JSON' method will returns a `HASH' reference of all the
the serializable_attributes entry elsewhere in this document. It is your responsibility to ensure the attributes
in your classes can be directly encoded into `JSON'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/M*

%changelog
* Wed Feb 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Tue Feb 13 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

